///////////////////////////////////////////////////////////////////////
//  Copyright (C) 2001 ILX Systems.  All Rights Reserved.
//
//      $Header: /u/4/m/me133/cvs/Common/GetErrorMessage.h,v 1.1.1.1 2004/08/16 01:46:59 me133 Exp $
//
//    File name:	GetErrorMessage.h
//   Created By:	Marc Eaddy
//   Created On:	02/27/2001 2:06:00 PM
//
//      Purpose:	
//
//  Description:	
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: GetErrorMessage.h,v $
 * Revision 1.1.1.1  2004/08/16 01:46:59  me133
 * o Initial checkin
 * 
 * 
 * 2     2/27/01 2:25p Marce
 * o Moved function into separate file so it can be shared
 */

#ifndef INCLUDED_GET_ERROR_MESSAGE_H
#define INCLUDED_GET_ERROR_MESSAGE_H

#include <list>			// STL list<>

// Type defines

typedef std::pair<HMODULE, bool>		TypeModuleAndBool;
typedef std::list<TypeModuleAndBool>	TypeListModules;

void GetErrorMessage(	HRESULT hrError, 
						DWORD dwLanguageId, 
						const TypeListModules& listResourceModules,
						TCHAR* szErrorMsg,
						long nMaxErrorMsgLen);

#endif // INCLUDED_GET_ERROR_MESSAGE_H