using System;

class Driver 
{
    public static void Main()
    {
	int start = System.Environment.TickCount;

	int total = 0;

	for(int t = 0; t < 10000000; ++t)
        {
            Stack stack = new Stack();

            for(int j = 0; j < 7; ++j)
            {
	        for(int i = 0; i < 10; ++i)
                {
                   try { 
                      stack.push(i); 
                   } 
                   catch(System.Exception ex) {
                      System.Console.WriteLine(ex);
                   }
                   ++total;
                }
            }

            for(; !stack.isEmpty; )
            {
                try { 
                   object obj = stack.pop();
                   ++total;
                   System.Console.Write(obj);
                }
                catch(System.Exception ex) {
                   System.Console.WriteLine(ex);
                }
            }
            System.Console.WriteLine();
        }

	int end = System.Environment.TickCount;

	System.Console.WriteLine("Total Stack Operations: {0}, Elapsed Time: {1}ms", 
		total, end - start);
    }
}
