@REM *********************************************************************
@REM **** Sets up the environment so that the CLR Runtime Profiling 
@REM **** Services are activated.
@REM ****
@REM **** The batch file will setup the profiling environment and register
@REM **** the profiler.  
@REM ****   
@REM **** Running any managed program or any unmanaged client that is 
@REM **** using a managed server will cause the EE to send notifications 
@REM **** to the registered profiler.
@REM ****
@REM *********************************************************************

@echo off

if exist "%CD%\Patcher.dll" set PatcherRoot=%CD%
if exist "%CD%\Patcher\Patcher.dll" set PatcherRoot=%CD%\Patcher 
if "%PatcherRoot%"=="" set PatcherRoot=C:\PROJECTS\Goblin\Patcher

if not "%Cor_Enable_Profiling%"=="1" call :Enable %PatcherRoot%

for %%i in (ILXLog.dll) do set GOT_COMMON=%%~dp$PATH:i
if "%GOT_COMMON%"=="" set PATH=%PATH%;%PatcherRoot%\Common

@REM @set Cor_Enable_Profiling
@REM @set COR_PROFILER
@REM @set WATCHER_PATH
@REM @set PATCHER_BREAK

title Marc's Patcher Activated
if "%PATCHER_BREAK%"=="1" ( 
	title Marc's Patcher Activated - Debug Break 
) else (
	title Marc's Patcher Activated
)

set PatcherRoot=
set GOT_COMMON=

exit /B 0

:Enable

@REM Must use CLSID not ProgID otherwise Rotor will fail to create the Profiler

set COR_PROFILER={876F4C08-9270-4146-A37A-24F0DC1C9B50}
set COR_PROFILER_DLL=%1\Patcher.dll
set WATCHER_PATH=%1\..\Watcher\Watcher.exe
set Cor_Enable_Profiling=1
goto :EOF
