///////////////////////////////////////////////////////////////////////
//  Copyright (C) 2000 ILX Systems.  All Rights Reserved.
//
//      $Header: /u/4/m/me133/cvs/Common/ILXLog/StdAfx.h,v 1.2 2004/09/07 06:06:05 me133 Exp $
//
//    File name:	StdAfx.h
//   Created By:	Marc Eaddy
//   Created on:	04/24/2000 11:26:00 AM
//
//      Purpose:	
//
//  Description:	Include file for standard system include files,
//					or project specific include files that are used
//					frequently, but are changed infrequently
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: StdAfx.h,v $
 * Revision 1.2  2004/09/07 06:06:05  me133
 * o Now uses most recent ILXLog code with ILXCrashFinder
 * 
 * 
 * 7     3/05/02 11:28a Zakirh
 * commented out the _ATL_DEBUG_INTERFACES in stdafx.h 
 * 
 * 4     5/12/00 10:29p Marce
 * o Removed unneeded macros
 * 
 * 3     5/08/00 3:39p Marce
 * o Added MSXML import
 * 
 * 2     5/08/00 11:37a Garys
 * o Added interface debugging
 * 
 * 1     4/24/00 11:27a Marce
 */

#if !defined(AFX_STDAFX_H__8265442A_10E8_11D4_B742_00E029623FB0__INCLUDED_)
#define AFX_STDAFX_H__8265442A_10E8_11D4_B742_00E029623FB0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STRICT
#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0400
#endif
#define _ATL_APARTMENT_THREADED

//#ifdef _DEBUG
//#define _ATL_DEBUG_INTERFACES
//#endif

#define ATL_TRACE_CATEGORY 0xFFFFFFFF	// Reports all ATL trace message categories
#define ATL_TRACE_LEVEL 4				//   for all severities

#include <atlbase.h>
//You may derive a class from CComModule and use it if you want to override
//something, but do not change the name of _Module
extern CComModule _Module;
#include <atlcom.h>
#include <atlwin.h>

#ifndef INCLUDED_MSXML_TYPE_LIBRARY
#define INCLUDED_MSXML_TYPE_LIBRARY
#import "msxml.dll" rename_namespace("MSXML"), named_guids, raw_interfaces_only, raw_native_types
#endif // INCLUDED_MSXML_TYPE_LIBRARY

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__8265442A_10E8_11D4_B742_00E029623FB0__INCLUDED)
