///////////////////////////////////////////////////////////////////////
//  Copyright (C) 2004 Columbia University.  All Rights Reserved.
//
//      $Header: /Goblin/Patcher/AssemblyDiff.h 6     5/28/05 1:49p Eaddy $
//
//    File name:	AssemblyDiff.h
//   Created By:	Marc Eaddy
//   Created on:	10/24/04
//
//      Purpose:	
//
//  Description:	
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: /Goblin/Patcher/AssemblyDiff.h $
 * 
 * 6     5/28/05 1:49p Eaddy
 * o Changed copyright
 *
 * Revision 1.1  2004/10/25 01:03:48  me133
 * o Method IL comparison is now complete and correct
 */

#ifndef INCLUDED_ASSEMBLY_DIFF_H
#define INCLUDED_ASSEMBLY_DIFF_H

#include "MethodInfo.h"			// CMethodInfo

#include <cor.h>				// Needed to compile corprof.h!!
#include <corprof.h>			// ICorProfilerCallback

#include <hash_map>				// STDEXT hash_map<>

typedef stdext::hash_map<mdMethodDef, CMethodInfo>	TypeMapMethodInfo;

HRESULT CreateUpdatePatches(	/*[in]*/ ICorProfilerInfo* piProfInfo,
								/*[in]*/ ModuleID moduleIDOrig,
								/*[in]*/ IMetaDataImport* piImportNewModule,
								/*[in]*/ LPCBYTE pbLoadAddressNewModule,
								/*[in]*/ bool bFirstTime,
								/*[out]*/ TypeMapMethodInfo* pListChangedFunctions2);

#endif // INCLUDED_ASSEMBLY_DIFF_H
