///////////////////////////////////////////////////////////////////////
//  Copyright (C) 2004 Columbia University.  All Rights Reserved.
//
//      $Header: /Goblin/Patcher/BugReportFile.h 5     5/28/05 1:20p Eaddy $
//
//    File name:	BugReportFile.h
//   Created By:	Marc Eaddy
//   Created on:	2/24/05
//
//      Purpose:	
//
//  Description:	
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: /Goblin/Patcher/BugReportFile.h $
 * 
 * 5     5/28/05 1:20p Eaddy
 * Changed copyright
 */

#ifndef INCLUDED_BUG_REPORT_FILE_H
#define INCLUDED_BUG_REPORT_FILE_H

#include "CompileInfo.h"	// CCompileInfo

class CBugReportFile : public CCompileInfo
{
public:
	CBugReportFile();
	virtual ~CBugReportFile();

	// ICompileInfo::read() implementation
	HRESULT read(FILE* in, bool bIsUnicode, const WCHAR* szBugReportFilePath);
	const WCHAR* getFileExtension() const;

private: // PRIVATE HELPER FUNCTIONS
	HRESULT readCompilerOptions(FILE* in, bool bIsUnicode);
	HRESULT parseCompilerOption(const char* szOption);

private: // NOT IMPLEMENTED
	CBugReportFile(const CBugReportFile&);
	CBugReportFile& operator=(const CBugReportFile&);
};

#endif // INCLUDED_BUG_REPORT_FILE_H
