///////////////////////////////////////////////////////////////////////
//  Copyright (C) 2004 Columbia University.  All Rights Reserved.
//
//      $Header: /Goblin/Patcher/DebugHelper.h 2     5/28/05 1:20p Eaddy $
//
//    File name:	DebugHelper.h
//   Created By:	Marc Eaddy
//   Created on:	10/10/04
//
//      Purpose:	
//
//  Description:	
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: /Goblin/Patcher/DebugHelper.h $
 * 
 * 2     5/28/05 1:20p Eaddy
 * Changed copyright
 * Revision 1.2  2004/10/10 06:07:44  me133
 * o Added header comment
 *
 */

#ifndef INCLUDED_DEBUG_HELPER_H
#define INCLUDED_DEBUG_HELPER_H

#include <list>			// STL list
#include <string>		// STL wstring

typedef std::list<std::string>	TypeListStrings;

class SDebugHelper
{
public:
	static HRESULT GetSourceFilesForModule(	const WCHAR* szModulePath,
											LPCBYTE pbBaseLoadAddress,
											TypeListStrings* pListSourceFiles);

private:
	// Prevents this class from being created
	SDebugHelper();
	~SDebugHelper(); 

private: // DATA
	static HANDLE s_hProcess;

	static SDebugHelper s_singleton;
};

#endif // INCLUDED_DEBUG_HELPER_H
