///////////////////////////////////////////////////////////////////////
//  Copyright (C) 2004 Columbia University.  All Rights Reserved.
//
//      $Header: /Goblin/Patcher/ModuleWatcherThread.h 2     5/28/05 1:20p Eaddy $
//
//    File name:	ModuleWatcherThread.h
//   Created By:	Marc Eaddy
//   Created on:	10/10/04
//
//      Purpose:	
//
//  Description:	
//
///////////////////////////////////////////////////////////////////////
/**
 * $Log: /Goblin/Patcher/ModuleWatcherThread.h $
 * 
 * 2     5/28/05 1:20p Eaddy
 * Changed copyright
 * Revision 1.4  2004/10/26 04:45:08  me133
 * o Removed unused member var
 *
 * Revision 1.3  2004/10/24 19:33:11  me133
 * o Implemented heartbeat message
 * o Created WatcherKeeper thread for starting and stopping the Watcher
 * and for sending the heartbeat message
 * o Now reads Watcher path from env variable
 * o Fixed bug where meerly changing a string didn't cause a change to be
 * detected
 *
 * Revision 1.2  2004/10/10 06:07:45  me133
 * o Added header comment
 */

#ifndef INCLUDED_MODULE_WATCHER_THREAD_H
#define INCLUDED_MODULE_WATCHER_THREAD_H

// Forward declarations
class CModuleQueue;
interface ICorProfilerInfo;

class CModuleWatcherArg
{
public:

	CModuleWatcherArg(	CModuleQueue* pModuleQueue,
						int nPortToUse,
						HANDLE hWatcherReadyEvent,
						HANDLE hThreadPleaseTerminate,
						HANDLE hHeartbeatTimer);
	~CModuleWatcherArg();

public: // DATA
	CModuleQueue*		m_pModuleQueue;
	int					m_nPortToUse;
	HANDLE				m_hWatcherReadyEvent;
	HANDLE				m_hThreadPleaseTerminate;
	HANDLE				m_hHeartbeatTimer;
};

void __cdecl ModuleWatcherThreadProc(void* pvSModuleWatcherArg);

#endif // INCLUDED_MODULE_WATCHER_THREAD_H
